body {
    background-color: rgb(174, 169, 179);
}

div.calculator {
    background-color: rgb(49, 26, 70);
    width: 25%;
    border-radius: 9px;
    margin: 12vw auto;
    text-align: center;
    padding: 1%;
}

input {
    outline: none;
    display: block;
    width: 90%;
    margin: 1% auto;
    height: 7vh
}

input:disabled {
    background-color: white;
    border: none;
    color: black;
}

table {
    width: 90%;
    margin: 5% auto;
}

td {
    height: 40px;
    border-radius: 3px;
    color: aliceblue;
    user-select: none;
}

td.number {
    background-color: brown;
    margin: 5%;
}

td.dot {
    background-color: rgb(30, 71, 30);
}

td.func {
    background-color: rgb(94, 94, 35);
}

td.result {
    background-color: rgb(17, 110, 153);
}


/*//////////////*/

td.number:active {
    background-color: rgb(122, 38, 38);
}

td.dot:active {
    background-color: rgb(28, 56, 28);
}

td.func:active {
    background-color: rgb(70, 70, 32);
}

td.result:active {
    background-color: rgb(20, 88, 119);
}

button {
    border: none;
    outline: none;
    background-color: rgb(219, 219, 9);
    border-radius: 20px;
    margin: 1%;
}

button:active {
    background-color: rgb(179, 179, 10);
}

div.buttons {
    margin: 4%auto 0%;
    width: 90%;
    text-align: left;
}